Subject: Re: [Detnet] Robert Wilton's No Objection on draft-ietf-detnet-flow-information-model-13: (with COMMENT)

From: Balázs Varga A <[email-masked]>
Date: Thu, 14 Jan 2021 16:51:44 +0000

Hi Robert
Many thanks for your comments.
See my replies inline.
Cheers
Bala'zs

Ps: changes can be seen on GitHub:
https://github.com/detnet-wg/draft-ietf-detnet-flow-information-model/commit/7855ea01b1fec25ed1d4f0089bd990dc4b14ff1b

-----Original Message-----
From: Robert Wilton via Datatracker <[email-masked]> 
Sent: Thursday, December 17, 2020 11:39 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Lou Berger <[email-masked]>; [email-masked]
Subject: Robert Wilton's No Objection on draft-ietf-detnet-flow-information-model-13: (with COMMENT)

Robert Wilton has entered the following ballot position for
draft-ietf-detnet-flow-information-model-13: No Objection

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-flow-information-model/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Hi,

Thanks for this document.  I found it pretty easy to read/follow, although the relationship between this document and the YANG configuration data model could perhaps be more clear in sections 1.1 and 1.2.  I.e. my interpretation is that this document is not defining a configuration information model because a configuration data mode (in YANG) is being defined instead.  In addition to that, the YANG configuration data model will also make use of some of the characteristics of the flow and service information models.  Is my interpretation correct?  If so, perhaps the text could be tweaked to make this a bit more explicit?

<BV> OK. We have created Figure 2 in order to visualize the relationship with the DetNet YANG document. I will discuss with the co-authors how to make it more explicit.

Otherwise, I only had a couple of minor comments:

(1) I would suggest that the summary section could probably be removed since the document doesn't really need it.  Particularly, if the relationship between the information model and YANG data model is further clarified in the introduction/goals/non-goals.

<BV> OK. I will discuss this with the co-authors.

(2) In the introduction, the start of paragraph 4 ("In the IETF DetNet service ..."), doesn't scan for me, and perhaps should be rephrased.

<BV> Agree. Term "In the IETF" will be removed.

Thanks,
Rob